#include <libnet.h>
#include "socket_raw.h"

int arp_sendwhois(rawsocket *r,char ourip[4],char hisip[4],char ourmac[6],char hismac[6]) {
  char buf[LIBNET_ARP_H+LIBNET_ETH_H+1];
  socket_makearpwhois(buf,ourip,hisip,ourmac,hismac);
  return libnet_write_link_layer(r->l, r->l->device, buf, LIBNET_ARP_H + LIBNET_ETH_H) == -1;
}

int arp_sendreply(rawsocket *r,char ourip[4],char hisip[4],char ourmac[6],char hismac[6]) {
  char buf[LIBNET_ARP_H+LIBNET_ETH_H+1];
  socket_makearpreply(buf,ourip,hisip,ourmac,hismac);
  return libnet_write_link_layer(r->l, r->l->device, buf, LIBNET_ARP_H + LIBNET_ETH_H) == -1;
}
