#include <libnet.h>
#include <netinet/in.h>
#include "socket_raw.h"

int socket_defaultdevice(char **device) {
  struct sockaddr_in sin;
  char errbuf[256];
  return (libnet_select_device(&sin,(unsigned char **)device,errbuf) != 1);
}

int socket_createraw(rawsocket *r,char *device) {
  if (device==0)
    if (socket_defaultdevice(&device))
      return -1;
  r->l=libnet_open_link_interface(device, r->errbuf);
  if (r->l && r->l->device==0)
    r->l->device=device;
  return (r->l == 0);
}

