#include <libnet.h>
#include "socket_raw.h"

int socket_makearpwhois(char *s,char ourip[4],char hisip[4],char ourmac[6],char hismac[6]) {
  libnet_build_ethernet(hismac,ourmac,ETHERTYPE_ARP,NULL,0,s);
  libnet_build_arp(ARPHRD_ETHER,ETHERTYPE_IP,ETHER_ADDR_LEN,4,ARPOP_REQUEST,ourmac,ourip,(char *)ethernull,hisip,NULL,0,s+LIBNET_ETH_H);
  return LIBNET_ARP_H+LIBNET_ETH_H;
/*  return libnet_write_link_layer(r->l, r->l->device, buf, LIBNET_ARP_H + LIBNET_ETH_H) == -1; */
}

int socket_makearpreply(char *s,char ourip[4],char hisip[4],char ourmac[6],char hismac[6]) {
  libnet_build_ethernet(hismac,ourmac,ETHERTYPE_ARP,NULL,0,s);
  libnet_build_arp(ARPHRD_ETHER,ETHERTYPE_IP,ETHER_ADDR_LEN,4,ARPOP_REPLY,ourmac,ourip,hismac,hisip,NULL,0,s+LIBNET_ETH_H);
  return LIBNET_ARP_H+LIBNET_ETH_H;
/*  return libnet_write_link_layer(r->l, r->l->device, buf, LIBNET_ARP_H + LIBNET_ETH_H) == -1; */
}
